import stylesheet from './styles.module.scss';

const DemoV3 = () => {
  return (
    <div>
      <p className='text t0'>Title Zero (t0)</p>
      <p className='text t0-light'>Title Zero Light (t0-light)</p>

      <p className='text t1'>Title One (t1)</p>
      <p className='text t1-light'>Title One Light (t1-light)</p>

      <p className='text t2'>Title Two (t1)</p>
      <p className='text t2-light'>Title Two Light (t1)</p>

      <p className='text t3'>Title Three (t3)</p>
      <p className='text t3-light'>Title Three Light (t3-light)</p>

      <p className='text t4'>Title Four (t4)</p>
      <p className='text t4-light'>Title Four Light (t4-light)</p>

      <p className='text t5'>Title Five (t5)</p>
      <p className='text t5-light'>Title Five Light (t5-light)</p>

      <hr />

      <p className='text t0-mag'>Title Mag Zero (t0-mag)</p>
      <p className='text t0-mag-light'>Title Mag Zero Light (t0-mag-light)</p>

      <p className='text t1-mag'>Title Mag One (t1-mag)</p>
      <p className='text t1-mag-light'>Title Mag One Light (t1-mag-light)</p>

      <p className='text t2-mag'>Title Mag Two (t2-mag)</p>
      <p className='text t2-mag-light'>Title Mag Two Light (t2-mag-light)</p>

      <p className='text t3-mag'>Title Mag Three (t3-mag)</p>
      <p className='text t3-mag-light'>Title Mag Three Light (t3-mag-light)</p>

      <p className='text t4-mag'>Title Mag Four (t4-mag)</p>
      <p className='text t4-mag-light'>Title Mag Four Light (t4-mag-light)</p>

      <p className='text t5-mag'>Title Mag Five (t5-mag)</p>
      <p className='text t5-mag-light'>Title Mag Five Light (t5-mag-light)</p>

      <hr />

      <p className='text body-serif-large'>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. (body-serif-large)</p>
      <p className='text body-serif'>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. (body-serif) </p>
      <p className='text body-sans-serif-large'>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. (body-sans-serif-large)</p>
      <p className='text body-sans-serif'>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. (body-sans-serif)</p>

      <hr />

      <p className='text notes'>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. (notes)</p>
      <p className='text notes-light'>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. (notes-light)</p>
      <p className='text overline'>OVERLINE FLAG TEXT (overline)</p>
      <p className='text overline-red'>OVERLINE FLAG TEXT (overline-red)</p>
      <p className='text byline'>By Andrew Briz (byline)</p>

      <hr />

      <div className='spacer spacing-abs-8'>
        <div className='rect' />
        $spacing-abs-8 / $spacing-data-sm
      </div>
      <div className='spacer spacing-abs-12'>
        <div className='rect' />
        $spacing-abs-12 / $spacing-data-md
      </div>
      <div className='spacer spacing-abs-16'>
        <div className='rect' />
        $spacing-1 / $spacing-abs-16 / $spacing-ele-sm
      </div>
      <div className='spacer spacing-abs-24'>
        <div className='rect' />
        $spacing-abs-24
      </div>
      <div className='spacer spacing-abs-32'>
        <div className='rect' />
        $spacing-2 / $spacing-abs-32 / $spacing-ele-md
      </div>
      <div className='spacer spacing-abs-48'>
        <div className='rect' />
        $spacing-3 / $spacing-abs-48 / $spacing-ele-lg
      </div>
      <div className='spacer spacing-abs-64'>
        <div className='rect' />
        $spacing-4 / $spacing-abs-64 / $spacing-group
      </div>
      <div className='spacer spacing-abs-96'>
        <div className='rect' />
        $spacing-5 / $spacing-abs-96 / $spacing-section
      </div>

      <style jsx>{stylesheet}</style>
    </div>
  );
};

DemoV3.defaultProps = {};

export default DemoV3;
